
## FIXME/TODO:
# * kdemultimedia-arts/arts-extras subpkg, http://bugzilla.redhat.com/191097
# * split free/nonfree codecs from *.mcopclass files, in particular:
#   akodePlayObject.mcopclass, xine*.mcopclass (yuck)

%define debug 0
%define final 1
%define make_cvs 1
%define appdir %{_datadir}/applications/kde

# former extras bits
%define _with_akode --with-akode
## not currently compatible with libtunepimp-0.5 (only libtunepimp-0.4)
#define _with_musicbrainz --with-musicbrainz
%define _with_libsamplerate --with-libsamplerate
%define _with_taglib --with-taglib
%define _with_xine --with-xine

%if 0%{?fedora} > 7
# make -libs subpkg
%define libs 1
%endif

Name:    kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE)
Epoch:   6
Version: 3.5.8
Release: 8%{?dist}

License: GPLv2
Group:   Applications/Multimedia
Url:     http://www.kde.org

%define patch patched
%define nonfree_bits mpeglib mpeglib_artsplugin mpg123_artsplugin
## To generate -patched tarball,
# 1. tar xjf kdemultimedia-%{version}
# 2. mv kdemultimedia-%{version} kdemultimedia-%{version}-%{patch}
# 3. (cd kdemultimedia-%{version}-%{patch}; rm -rf %nonfree_bits )
# 4. remove %nonfree_bits from kdemultimedia-%{version}-%{patch}/subdirs
# 5. tar cjf kdemultimedia-%{version}-%{patch}.tar.bz2 kdemultimedia-%{version}-%{patch}
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}-%{patch}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: kdemultimedia3 = %{version}-%{release}

Patch2: kdemultimedia-3.5.6-config.patch
Patch3: kdemultimedia-3.4.0-xdg.patch
Patch4: kdemultimedia-3.5.3-examples.patch

# upstream patches
Patch100: kdemultimedia-3.5.3-noatun.patch

%if 0%{?libs}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%else
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif

BuildRequires: zlib-devel
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: libvorbis-devel
BuildRequires: audiofile-devel
BuildRequires: desktop-file-utils
BuildRequires: libtheora-devel
BuildRequires: flac-devel
BuildRequires: alsa-lib-devel 
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: gstreamer-devel
%if %{make_cvs}
BuildRequires: automake libtool
%endif
%{?_with_akode:BuildRequires: akode-devel}
%{?_with_libsamplerate:BuildRequires: libsamplerate-devel}
%{?_with_musicbrainz:BuildRequires: libmusicbrainz-devel libtunepimp-devel}
%{?_with_taglib:BuildRequires: taglib-devel}
%{?_with_xine:BuildRequires: xine-lib-devel}

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The %{name} package contains multimedia applications for
KDE, including:
  kmid, a midi player
  kmix, an audio mixer
  arts, additional functionality for the aRts sound system
  krec, a recording tool
  kscd, an Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 

%package devel
Summary: Development files for %{name}, aRts and noatun plugins
Group: Development/Libraries
Provides: kdemultimedia3-devel = %{version}-%{release}
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
# for noatun shlib(s)
Requires: %{name}-extras-libs = %{epoch}:%{version}-%{release}
Requires: kdelibs3-devel
%description devel
{summary}.
Install %{name}-devel if you wish to develop or compile any
applications using aRtsbuilder, aRtsmidi, aRtskde, aRts modules or
noatun plugins.

%package extras
Summary: Extra applications from %{name} 
Group: Applications/Multimedia
%if 0%{?libs}
Requires: %{name}-extras-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%else
Obsoletes: %{name}-extras-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  %{name}-extras-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
%endif
%description extras
%{summary}, including:
 * juk, a media player
 * kaboodle, a media player
 * noatun, a media player

%if 0%{?libs}
%package extras-libs
Summary: Extra %{name} runtime libraries 
Group: System Environment/Libraries 
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
# helps multilib upgrades
Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}
%description extras-libs
%{summary}.

%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: kdelibs3 >= %{version}
# helps multilib upgrades
Obsoletes: %{name} < %{?epoch:%{epoch}:}%{version}-%{release}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.
%endif


%prep
%setup -q -n %{name}-%{version}-%{patch}

%patch2 -p1 -b .config
%patch3 -p1 -b .xdg
%patch4 -p1 -b .examples

# upstream patches
%patch100 -p1 -b .noatun

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

# just to be paranoid -- Rex
DO_NOT_COMPILE=""
export DO_NOT_COMPILE="$DO_NOT_COMPILE %{nonfree_bits}"

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --with-extra-includes=%{_includedir}/cdda \
   --includedir=%{_includedir}/kde \
   --with-cdparanoia \
   --with-flac \
   --with-theora \
   --with-vorbis \
   --with-alsa \
   --with-arts-alsa \
   --with-gstreamer \
   --without-lame \
%if %{debug} == 0
   --disable-debug \
   --without-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --disable-rpath \
  %{?_with_akode} %{!?_with_akode:--without-akode} \
  %{?_with_libsamplerate} %{!?_with_libsamplerate:--without-libsamplerate} \
  %{?_with_musicbrainz} %{!?_with_musicbrainz:--without-musicbrainz} \
  %{?_with_taglib} %{!?_with_taglib:--without-taglib} \
  %{?_with_xine} %{!?_with_xine:--without-xine}

# FIXME: See http://bugzilla.redhat.com/330971
make %{?_smp_mflags} -k || \
  sed -i -e "s|-Wp,-D_FORTIFY_SOURCE=2||" noatun/modules/artseffects/Makefile && \
  make %{?_smp_mflags}

make %{?_smp_mflags} -C kaudiocreator


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}
make -C kaudiocreator DESTDIR=%{buildroot} install

## Remove/uninstall (conflicting) bits we don't want
rm -f $RPM_BUILD_ROOT%{_libdir}/mcop/akode*MPEGPlayObject.mcopclass

# only show in KDE, really? -- Rex (FIXME)
for f in %{buildroot}%{appdir}/*.desktop ; do
  if [ -f %{buildroot}%{appdir}/*.desktop ] ; then
    echo "OnlyShowIn=KDE;" >> $f
  fi
done

# don't make these world-writeable
chmod go-w %{buildroot}%{_datadir}/apps/kscd/*

# locale's
%find_lang %{name} || touch %{name}.lang
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done
fi

# rpmdocs
for dir in k* ; do
  for file in AUTHORS ChangeLog README TODO ; do
    if test -s "$dir/$file" ; then
       install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
       # exclude kaboodle, juk, noatun
       if [ $dir != kaboodle -a $dir != juk -a $dir != noatun ] ; then
         echo "%doc rpmdocs/$dir/" >> %{name}.lang
       fi
    fi
  done
done


%post
%{?libs:/sbin/ldconfig}
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{?libs:/sbin/ldconfig}
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%if 0%{?libs}
%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post extras-libs -p /sbin/ldconfig

%postun extras-libs -p /sbin/ldconfig
%endif

%post extras
%{?libs:/sbin/ldconfig}
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun extras
%{?libs:/sbin/ldconfig}
for f in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%clean
rm -rf %{buildroot}


%files extras
%defattr(-,root,root,-)

# kaboodle
%doc rpmdocs/kaboodle/
%doc %lang(en) %{_docdir}/HTML/en/kaboodle/
%{_bindir}/kaboodle
%{_libdir}/kde3/libkaboodlepart.*
%{_datadir}/applications/kde/kaboodle.desktop
%{_datadir}/apps/kaboodle/
%{_datadir}/icons/hicolor/*/apps/kaboodle.png
%{_datadir}/services/kaboodle*

# noatun
%doc %lang(en) %{_docdir}/HTML/en/noatun/
%{_bindir}/noatun
%{_libdir}/kconf_update_bin/noatun20update
%{_libdir}/kde3/noatun*
%{_libdir}/libartseffects.*
%{_libdir}/libwinskinvis.*
%{_libdir}/libkdeinit_noatun.*
%{_datadir}/applications/kde/noatun.desktop
%{_datadir}/apps/kconf_update/noatun.upd
%{_datadir}/apps/noatun/
%{_datadir}/icons/hicolor/*/apps/noatun.png
%{_datadir}/mimelnk/interface/x-winamp-skin.desktop

# juk
%doc %lang(en) %{_docdir}/HTML/en/juk/
%{_bindir}/juk
%{_datadir}/applications/kde/juk.desktop
%{_datadir}/apps/juk/
%{_datadir}/apps/konqueror/servicemenus/jukservicemenu.desktop
%{_datadir}/icons/crystalsvg/*/*/juk*
%{_datadir}/icons/hicolor/*/apps/juk.png

%if 0%{?libs}
%files extras-libs
%defattr(-,root,root,-)
%endif
%{_libdir}/libnoatun*.la
%{_libdir}/libnoatun*.so.*
%{_libdir}/libnoatunarts.so

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING

# kaboodle
%exclude %{_docdir}/HTML/en/kaboodle/
%exclude %{_bindir}/kaboodle
%exclude %{_libdir}/kde3/libkaboodlepart.*
%exclude %{_datadir}/applications/kde/kaboodle.desktop
%exclude %{_datadir}/apps/kaboodle/
%exclude %{_datadir}/icons/hicolor/*/apps/kaboodle.png
%exclude %{_datadir}/services/kaboodle*

# noatun
%exclude %{_docdir}/HTML/en/noatun/
%exclude %{_bindir}/noatun
%exclude %{_libdir}/kconf_update_bin/noatun20update
%exclude %{_libdir}/kde3/noatun*
%exclude %{_libdir}/libartseffects.*
%exclude %{_libdir}/libkdeinit_noatun.*
%exclude %{_libdir}/libnoatunarts.*
%exclude %{_libdir}/libnoatuncontrols.*
%exclude %{_libdir}/libnoatun.*
%exclude %{_libdir}/libnoatuntags.*
%exclude %{_libdir}/libwinskinvis.*
%exclude %{_datadir}/applications/kde/noatun.desktop
%exclude %{_datadir}/apps/kconf_update/noatun.upd
%exclude %{_datadir}/apps/noatun/
%exclude %{_datadir}/icons/hicolor/*/apps/noatun.png
%exclude %{_datadir}/mimelnk/interface/x-winamp-skin.desktop

# juk
%exclude %{_docdir}/HTML/en/juk/
%exclude %{_bindir}/juk
%exclude %{_datadir}/applications/kde/juk.desktop
%exclude %{_datadir}/apps/juk/
%exclude %{_datadir}/apps/konqueror/servicemenus/jukservicemenu.desktop
%exclude %{_datadir}/icons/crystalsvg/*/*/juk*
%exclude %{_datadir}/icons/hicolor/*/apps/juk.png

/etc/xdg/menus/applications-merged/*
%{_libdir}/mcop/*
%{_libdir}/libkdeinit_*.so
%{_libdir}/liboggarts.so
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_bindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/config.kcfg/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%exclude %{_libdir}/libnoatun*.*
%endif
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la


%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit_*.so
%exclude %{_libdir}/libartseffects.so
%exclude %{_libdir}/libnoatunarts.*
%exclude %{_libdir}/liboggarts.so
%exclude %{_libdir}/libwinskinvis.so


%changelog
* Mon Oct 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-8
- -libs: Requires: %%name (multilib upgrades again)
- scriptlet fixes

* Sat Oct 27 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 6:3.5.8-7
- fix typo in dependency

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-6
- -libs: Obsoletes: %%name ... to help out multilib upgrades
- -extras-libs: Obsoletes %%name-extras ... likewise

* Thu Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-5
- -extras-libs: (re)include libnoatun*.la

* Tue Oct 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-4
- omit libs from main pkg (-> -libs)
- -libs conditional (f8+)

* Sun Oct 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-3
- -extras-libs: +%%_libdir/libnoatunarts.*
- -libs,-extras-libs: %%post/%%postun -p /sbin/ldconfig

* Sun Oct 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-2
- -extras-libs: +%%defattr

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-1
- kde-3.5.8
- -libs, -extras-libs subpkg (more multilib friendly)

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.7-2
- (re)include kfile_mp3, kfile_mpeg, providing (konq) meta-info support
  (not nonfree decoders)
- License: GPLv2+
- Provides: kdemultimedia3(-devel) ...

* Wed Jun 06 2007 Than Ngo <than@redhat.com> - 6:3.5.7-1
- 3.5.7

* Wed May 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.6-7
- -extras scriptlets

* Wed May 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.6-6
- extras=1 (BR: akode-devel libsamplerate-devel taglib-devel xine-lib-devel)

* Wed Apr 18 2007 Than Ngo <than@redhat.com> - 6:3.5.6-4.fc7
- kaboodle, noatun, juk Split into an extra package

* Mon Mar 12 2007 Than Ngo <than@redhat.com> - 6:3.5.6-3.fc7
- cleanup specfile

* Wed Feb 14 2007 Than Ngo <than@redhat.com> 6:3.5.6-2.fc7
- rebuild

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 6:3.5.4-1.fc7
- 3.5.6

* Wed Sep 06 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- fix file conflict #202944

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 6:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 6:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 6:3.5.3-7
- rebuild

* Tue Jul 11 2006 Than Ngo <than@redhat.com> 6:3.5.3-6
- fix #197999 – install kconf_update applications in $(libdir)/kconf_update_bin

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
- apply patch to check return value

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 6:3.5.3-4
- fix #196605, BR: cdparanoia

* Thu Jun 08 2006 Than Ngo <than@redhat.com> 6:3.5.3-3
- move only *.so symlinks to -devel subpackage

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 6:3.5.3-2
- move .so symlinks to -devel subpackage

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 6:3.5.3-1
- update to 3.5.3

* Tue May 02 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- add buildrequires on libtheora-devel #190321
- add buildrequires on libXxf86dga-devel #128599

* Tue Apr 04 2006 Than Ngo <than@redhat.com> 6:3.5.2-1
- update to 3.5.2

* Wed Feb 22 2006 Than Ngo <than@redhat.com> 6:3.5.1-2
- add missing protocol audiocd #176637
- remove useless rpm macro #180009
- add requires on alsa-lib-devel #178734

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Than Ngo <than@redhat.com> 6:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 6:3.5.0-1
- 3.5 final

* Tue Nov 15 2005 Than Ngo <than@redhat.com> 6:3.4.92-2 
- get rid of redundant buildrequires

* Mon Oct 24 2005 Than Ngo <than@redhat.com> 6:3.4.92-1
- update to 3.5 beta 2

* Fri Sep 30 2005 Than Ngo <than@redhat.com> 6:3.4.91-1
- update to KDE 3.5 beta1

* Mon Aug 15 2005 Than Ngo <than@redhat.com> 6:3.4.2-2
- apply CVS patch to fix kscd crash

* Tue Aug 02 2005 Than Ngo <than@redhat.com> 6:3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 6:3.4.1-1 
- 3.4.1

* Tue May 03 2005 Than Ngo <than@redhat.com> 6:3.4.0-3
- fix kde-multimedia-music.menu

* Wed Mar 30 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
- buildrequires libmusicbrainz, libtunepimp if Juk enable

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 6:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Fri Feb 18 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.1
- KDE-3.4 beta2

* Mon Feb 14 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.2
- apply Steve cleanup patch

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.1
- update to 3.3.2

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rhel rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to 3.3.1

* Sun Sep 26 2004 Rik van Riel <riel@redhat.com> 3.3.0-2
- remove duplicate info about kscd from description (bz #99193)

* Wed Aug 25 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Fri Jul 30 2004 Than Ngo <than@redhat.com> 3.2.92-1
- update to 3.3 Beta2

* Mon Jul 05 2004 Than Ngo <than@redhat.com> 6:3.2.91-1
- update to 3.3 Beta 1

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Jun 02 2004 Than Ngo <than@redhat.com> 6:3.2.2-3
- remove -O0 on s390/s390x/ia64

* Wed May 05 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- cleanup KDE/GNOME menu
- add obsolete juk

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- 3.2.2 release

* Wed Apr 07 2004 Than Ngo <than@redhat.com> 3.2.1-2.1
- add Buildrequires on cdparanoia-devel if cdparanoia is installed, bug #120245
- fix gcc build problem

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-2
- cleanup KDE/GNOME menu

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.2
- add Buildrequires: libmng-devel

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- rebuilt with new alsa-lib

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- enable alsa support
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- 3.1.93 (KDE 3.2 Beta1)
- cleanup rpm file list

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Mon Sep 15 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- Fixed segmentation fault when using gcc 3.3 (bug #104277)

* Fri Aug 08 2003 Than Ngo <than@redhat.com> 6:3.1.3-4.1
- add audiofile-devel in buildrequires

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuild

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- remove requires timidity++ on RHL3

* Sat Aug 02 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- fix build problem on x86_64

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add patch file for building with gcc 3.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-6
- add workaround for memory problem in buildsystem on s390x

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- rebuilt

* Wed Jun 11 2003 Than Ngo <than@redhat.com> 6:3.1.2-4
- dependencies for kmidi (bug #92218)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- rebuild

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-0.9
- 3.1.2
- fixed file list (bug #83911)

* Tue Apr 22 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- remove build workaround on ppc

* Tue Apr  1 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- build with -O0 on ppc, gcc bug

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 release

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-3
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-2
- fixed arts bug #82750, requires rebuild of kdemultimedia
- fixed reqs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 release

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 6:3.1-0.7
- rc7
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- fixed epoch for devel package
- no global cddb directory anymore
- removed size_t check
- exclude ia64

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.4
- Don't exclude Alpha
- Instead of turning off detection of unpackaged files/missing doc files,
  fix the problems.

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.3
- get rid of sub packages

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.2
- fix desktop file issue

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- adjust some patch files for 3.1
- get rid of mp3 support

* Tue Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- add missing ktimidity
- cleaned up some rpm building problems

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 05 2002 Than Ngo <than@redhat.com> 3.0.3-5
- added a patch file to fix Konquror crahes when mp3/mpg file is clicked (bug #72161,#74959,#74850)

* Wed Sep 11 2002 Than Ngo than@redhat.com> 3.0.3-4.1
- cleanup specfile

* Thu Aug 29 2002 Than Ngo than@redhat.com> 3.0.3-4
- fixed category issue

* Tue Aug 27 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-3
- Removed all mp3 related code

* Fri Aug 23 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-2
- Disable parallel build as it is currently broken

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc 3.2-0.3

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- rebuild using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-3
- rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Make sure we link to the just built libraries instead of libs in the
  build environment from older releases

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Update ABI
- Add cdrecord/mkisofs requirements for KOnCD (#63606)
- Tell koncd where to find cdrecord and mkisofs (#63604)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Adapt spec file to recent changes in base

* Thu Mar  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020307.1
- Update
- Rename subpackages

* Fri Feb  1 2002 Tim Powers <timp@redhat.com>
- kdemultimedia-devel shouldn't obsolete itself
- temporarily ExcludeArch ia64

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Fri Aug  3 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010803.1
- update
- fix bug #24132
- get rid of aktion

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- move devel files to a separate package
- Add BuildPrereqs (#44914)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
